@echo off
echo Space Quest Lost Chapter coco disk builder (720K)
echo.

set sierra_path=C:\coco\boot\sierra
set game_id=sqtlc
set disks=3

rem Clean up
del %game_id%-?.os9 2> nul

rem Create disks
for /l %%d in (1, 1, %disks%) do (
  os9 format -t80 -ds -dd -q -e -n"Space Quest TLC Disk %%d" %game_id%-%%d.os9
)

rem Create AGI boot disk
call %sierra_path%\build_agi_2.072_720K %game_id%-1.os9

echo Disk 1...

imgtool put coco_os9_os9 sqtlc-1.os9 logDir logDir
imgtool put coco_os9_os9 sqtlc-1.os9 picDir picDir
imgtool put coco_os9_os9 sqtlc-1.os9 sndDir sndDir
imgtool put coco_os9_os9 sqtlc-1.os9 viewDir viewDir
imgtool put coco_os9_os9 sqtlc-1.os9 object object
imgtool put coco_os9_os9 sqtlc-1.os9 words.tok words.tok
imgtool put coco_os9_os9 sqtlc-1.os9 toc720 toc
imgtool put coco_os9_os9 sqtlc-1.os9 toc720.txt toc.txt
imgtool put coco_os9_os9 sqtlc-1.os9 vol.0 vol.0
imgtool put coco_os9_os9 sqtlc-1.os9 vol.1 vol.1
imgtool put coco_os9_os9 sqtlc-1.os9 vol.2 vol.2

echo Disk 2...

imgtool put coco_os9_os9 sqtlc-2.os9 object object
imgtool put coco_os9_os9 sqtlc-2.os9 vol.0 vol.0
imgtool put coco_os9_os9 sqtlc-2.os9 vol.3 vol.3
imgtool put coco_os9_os9 sqtlc-2.os9 vol.4 vol.4
imgtool put coco_os9_os9 sqtlc-2.os9 vol.9 vol.9

echo Disk 3...

imgtool put coco_os9_os9 sqtlc-3.os9 object object
imgtool put coco_os9_os9 sqtlc-3.os9 vol.0 vol.0
imgtool put coco_os9_os9 sqtlc-3.os9 vol.5 vol.5
imgtool put coco_os9_os9 sqtlc-3.os9 vol.9 vol.9

echo.
echo Done!
pause

